stages:
   - build

.build_template:
   stage: build
   script:
      - make realclean
      - make all
   only:
      refs:
         - master
         - merge_requests
      variables:
         - $CI_PROJECT_URL == 'https://vcgit.hhi.fraunhofer.de/jvet/VVCSoftware_VTM'
         - $CI_MERGE_REQUEST_TARGET_BRANCH_NAME == 'master'

.build_template_linux:
   extends: .build_template
   script:
      - make realclean
      - make all
      - make realclean
      - make linuxbuild enable-tracing=true

build_macos:
   extends: .build_template
   tags:
      - macos

build_ubuntu1804:
   extends: .build_template_linux
   tags:
      - ubuntu1804

build_ubuntu1804-gcc8:
   extends: .build_template_linux
   script:
      - make realclean
      - make all toolset=gcc-8
      - make realclean
      - make linuxbuild enable-tracing=true toolset=gcc-8
   tags:
      - ubuntu1804-gcc8

build_ubuntu2004:
   extends: .build_template_linux
   tags:
      - ubuntu2004

build_vc191x:
   extends: .build_template
   tags:
      - vc191x

build_vc192x:
   extends: .build_template
   tags:
      - vc192x

